跳到主内容

GET /v1/youtube/web_v2/get_shorts_search_v2

Shorts搜索V2

stable · 3 credits / 次(成功才计)

专门搜索 YouTube Shorts 短视频;返回清洗后的结构化数据(相比 get_shorts_search 返回原始数据);自动过滤非 Shorts 内容,仅返回短视频结果;支持分页加载更多;keyword: 搜索关键词(首次请求必填);continuation_token: 分页token(从上一次返回结果获取);upload_date: 上传时间过滤 - last_hour/today/this_week/this_month/this_year;sort_by: 排序方式 - relevance/upload_date/view_count/rating;返回数据;shorts: Shorts 列表(video_id、标题、播放量、作者、频道ID、缩略图、URL);continuation_token: 下一页 token

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl
curl -s 'https://api.wellbyte.net/v1/youtube/web_v2/get_shorts_search_v2?keyword=coding%20tips&sort_by=relevance&upload_date=last_hour&continuation_token=demo' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-09-23

data{
code:0
data{
shorts[ 2 items ]
keyword:"coding tips"
continuation_token:
"EqQDEgtjb2RpbmcgdGlwcxqUA1NCU0NBUXR3YVV0S1QwUXljemhMV1lJQkMwNTBabUpYYTNoS1ZFaDNn..."
}
meta{
endpoint:"youtube.web_v2.get_shorts_search_v2"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    keywordstringquery否搜索关键词(首次请求必填)coding tips
    sort_bystringquery否排序方式relevance
    upload_datestringquery否上传时间过滤last_hour
    continuation_tokenstringquery否分页token,用于获取下一页demo

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误否
    40102401API Key 无效或已吊销否
    40201402余额不足,请充值否
    40402404目标资源不存在否
    42201422质量门槛未通过否
    42901429超出速率限制否
    50401504上游超时否
    50201502上游返回异常否

    计费

    成功扣 3 credits;任何失败(含返回 200 但未过质量门槛)扣 0。

    全部YouTube端点 →

    搜索

    搜索端点与文档